List recordings
curl --request GET \
--url https://{deployment}/api/v1/plaud/files \
--header 'X-API-KEY: <api-key>'import requests
url = "https://{deployment}/api/v1/plaud/files"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://{deployment}/api/v1/plaud/files', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": 123,
"data_file_total": 123,
"data_file_list": [
{
"id": "<string>",
"filename": "<string>",
"keywords": [
"<string>"
],
"filesize": 123,
"filetype": "<string>",
"is_trash": true,
"start_time": 123,
"end_time": 123,
"duration": 123,
"filetag_id_list": [
"<string>"
],
"is_trans": true,
"is_summary": true,
"start_time_human": "<string>",
"duration_human": "<string>"
}
]
}{
"error": "<string>"
}Files
List recordings
Lists your Plaud recordings, newest first by default. Pro license required.
GET
/
plaud
/
files
List recordings
Authorizations
Your deployment's API key (MMK_API_KEY). Your Plaud account credentials are stored server-side — you do not send them.
Query Parameters
Max files to return.
Offset for pagination.
0 = active, 1 = trash, 2 = both.
Available options:
0, 1, 2 Sort field.
Available options:
edit_time, start_time Descending order.
Was this page helpful?
⌘I

